;+
;
; ============
; time_lec.pro
; ============
;
; .. function:: time_lec(fi)
;
;     :param fi: file
;
; EXAMPLES
; ========
;
; ::
;
;    IDL> fi=++
;    IDL> result=time_lec(fi)
;
; SEE ALSO
; ========
;
; :ref:`read_lh.pro`
; :ref:`read_lw.pro`
; :ref:`read_sw.pro`
;
; TODO
; ====
;
; complete header
;
; coding rules
;
; EVOLUTIONS
; ==========
;
; $Id$
;
; - fplod 20110412T160108Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * externalized from read_lh.pro
;   * minimal header
;
;-
function time_lec, fi
tt=ncdf_lec(fi,var='time')
fid=ncdf_open(fi) & vid=ncdf_varid(fid,'time')
ncdf_attget, fid,vid,'units',orig
orig=string(orig)
yy=long(strmid(orig,11,4))
mm=long(strmid(orig,16,2))
dd=long(strmid(orig,19,2))
tt=julday(mm,dd,yy,12,00)+tt
return, tt
end
